---
updatedAt: 2025-08-05T03:49:35.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Sync Templates for an App

This is an app level API used to sync the templates on Gupshup platform

# Rate Limit

1 request per hour

<br />

# Request Parameters

| Key                 | Description                                        | Constraints                                                               |
| :------------------ | :------------------------------------------------- | :------------------------------------------------------------------------ |
| PARTNER\_APP\_TOKEN | Partner app access token issued post partner login | Should be a valid Partner app access token belonging to the passed app ID |
|                     |                                                    |                                                                           |

<br />

# Path Parameters

| Key   | Description        | Constraints  |
| :---- | :----------------- | :----------- |
| appId | App ID for the app | Valid app ID |

<br />

# Sample Request

```curl
curl --location 'https://partner.gupshup.io/partner/app/:appId/template/sync' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'
```

<br />

# Sample Response

```
202 Accepted
```

<br />

<br />

# Status Codes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Status Code
      </th>

      <th>
        Response
      </th>

      <th>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Success
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        202
      </td>

      <td>

      </td>

      <td>
        Successfully accepted sync request
      </td>
    </tr>

    <tr>
      <td>
        Error
      </td>

      <td>

      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        400
      </td>

      <td>
        \{
        "status": "error",
        "message/data": "Specific to API"
        }
      </td>

      <td>
        Error with respect to the API
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        \{
        "status": "error",
        "message": "Unauthorized Access"
        }
      </td>

      <td>
        When authentication fails
      </td>
    </tr>

    <tr>
      <td>
        429
      </td>

      <td>
        \{
        "status": "error",
        "message": "Too Many Requests"
        }
      </td>

      <td>
        When the rate limit is hit
      </td>
    </tr>

    <tr>
      <td>
        500
      </td>

      <td>
        \{
        "status": "error",
        "message": "Internal Server Error"
        }
      </td>

      <td>
        For any Internal Error
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Partner Portal API",
    "description": "Partner Portal API documentation",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.gupshup.io"
    },
    "version": "3.0.0-SNAPSHOT"
  },
  "externalDocs": {
    "description": "Gupshup Wiki Documentation",
    "url": "https://www.gupshup.io/partner/docs"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io",
      "description": "Generated server url"
    }
  ],
  "paths": {
    "/partner/app/{appId}/template/sync": {
      "get": {
        "summary": "Sync templates for an app",
        "operationId": "syncTemplate",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "sk_987654xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "description": "Your app token, please refer [**Get access token api**](https://docs.gupshup.io/reference/get_partner-app-appid-token) to get the token from partner documentation."
          },
          {
            "name": "appId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "example": "657c0203-0b4d-xxxx-xxxx-xxxxxxx35a16"
          }
        ],
        "responses": {
          "202": {
            "description": "Accepted"
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - no permissions to access resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "status": {
                      "type": "string",
                      "example": "error"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "entity",
          "status"
        ],
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "Status Code",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the reason "
          },
          "details": {
            "type": "string",
            "description": "Developer specific error details "
          },
          "entity": {
            "type": "object",
            "description": "Response Object"
          }
        },
        "description": "Error"
      }
    }
  }
}
```